Module javafx.base
Package javafx.beans.property

# Class BooleanPropertyBase

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty
javafx.beans.property.BooleanProperty
javafx.beans.property.BooleanPropertyBase

All Implemented Interfaces:
  `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`

Direct Known Subclasses:
  `SimpleBooleanProperty`, `StyleableBooleanProperty`

    public abstract class BooleanPropertyBase
    extends BooleanProperty

The class `BooleanPropertyBase` is the base class for a property wrapping a `boolean` value. It provides all the functionality required for a property except for the `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()` methods, which must be implemented by extending classes.

Since:
  JavaFX 2.0
See Also:
  `BooleanProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BooleanPropertyBase()` | The constructor of the `BooleanPropertyBase`.
  `BooleanPropertyBase​(boolean initialValue)` | The constructor of the `BooleanPropertyBase`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `bind​(ObservableValue<? extends Boolean> rawObservable)` | Create a unidirection binding for this `Property`.
  `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
  `protected void` | `invalidated()` | The method `invalidated()` can be overridden to receive invalidation notifications.
  `String` | `toString()` | Returns a string representation of this `BooleanPropertyBase` object.

  ### Methods declared in class javafx.beans.property.BooleanProperty

  `asObject, booleanProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyBooleanProperty

  `readOnlyBooleanProperty`

  ### Methods declared in class javafx.beans.binding.BooleanExpression

  `and, asString, booleanExpression, booleanExpression, isEqualTo, isNotEqualTo, not, or`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableBooleanValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableBooleanValue

  `get, set, setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### BooleanPropertyBase

    public BooleanPropertyBase()
    The constructor of the `BooleanPropertyBase`.

  - ### BooleanPropertyBase

    public BooleanPropertyBase​(boolean initialValue)
    The constructor of the `BooleanPropertyBase`.
    Parameters:
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent()
    Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `WritableBooleanValue.set(boolean)` or in case of a bound property, if the binding becomes invalid.

  - ### invalidated

    protected void invalidated()
    The method `invalidated()` can be overridden to receive invalidation notifications. This is the preferred option in `Objects` defining the property, because it requires less memory. The default implementation is empty.

  - ### bind

    public void bind​(ObservableValue<? extends Boolean> rawObservable)
    Create a unidirection binding for this `Property`.

    Note that JavaFX has all the bind calls implemented through weak listeners. This means the bound property can be garbage collected and stopped from being updated. Note:

    Parameters:
      `rawObservable` - The observable this `Property` should be bound to.

  - ### toString

    public String toString()
    Returns a string representation of this `BooleanPropertyBase` object.
    Overrides:
      `toString` in class `BooleanProperty`
    Returns:
      a string representation of this `BooleanPropertyBase` object.